Change version to 5.0.0
diff --git a/core/features/org.eclipse.dltk.core-feature/feature.xml b/core/features/org.eclipse.dltk.core-feature/feature.xml
index 0737bb7..87610b9 100644
--- a/core/features/org.eclipse.dltk.core-feature/feature.xml
+++ b/core/features/org.eclipse.dltk.core-feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.core"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       plugin="org.eclipse.dltk"
       image="eclipse_update_120.jpg">
diff --git a/core/features/org.eclipse.dltk.core-feature/pom.xml b/core/features/org.eclipse.dltk.core-feature/pom.xml
index f606293..ad7ac58 100644
--- a/core/features/org.eclipse.dltk.core-feature/pom.xml
+++ b/core/features/org.eclipse.dltk.core-feature/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.features</groupId>
   <artifactId>org.eclipse.dltk.core</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/core/features/org.eclipse.dltk.core.index-feature/feature.xml b/core/features/org.eclipse.dltk.core.index-feature/feature.xml
index 19ac340..aaabe4a 100644
--- a/core/features/org.eclipse.dltk.core.index-feature/feature.xml
+++ b/core/features/org.eclipse.dltk.core.index-feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.core.index"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       plugin="org.eclipse.dltk.core.index"
       image="eclipse_update_120.jpg">
@@ -24,7 +24,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.dltk.core" version="4.0.0" match="compatible"/>
+      <import feature="org.eclipse.dltk.core" version="5.0.0" match="compatible"/>
       <import plugin="org.eclipse.core.runtime"/>
       <import plugin="org.eclipse.core.resources"/>
    </requires>
diff --git a/core/features/org.eclipse.dltk.core.index-feature/pom.xml b/core/features/org.eclipse.dltk.core.index-feature/pom.xml
index 238109d..d281b88 100644
--- a/core/features/org.eclipse.dltk.core.index-feature/pom.xml
+++ b/core/features/org.eclipse.dltk.core.index-feature/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.features</groupId>
   <artifactId>org.eclipse.dltk.core.index</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/core/features/org.eclipse.dltk.core.index.sdk/feature.xml b/core/features/org.eclipse.dltk.core.index.sdk/feature.xml
index 5c5109d..97cf0aa 100644
--- a/core/features/org.eclipse.dltk.core.index.sdk/feature.xml
+++ b/core/features/org.eclipse.dltk.core.index.sdk/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.core.index.sdk"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
diff --git a/core/features/org.eclipse.dltk.core.index.sdk/pom.xml b/core/features/org.eclipse.dltk.core.index.sdk/pom.xml
index 3837ebd..f6c1403 100644
--- a/core/features/org.eclipse.dltk.core.index.sdk/pom.xml
+++ b/core/features/org.eclipse.dltk.core.index.sdk/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.index.sdk</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/core/features/org.eclipse.dltk.core.sdk/feature.xml b/core/features/org.eclipse.dltk.core.sdk/feature.xml
index 96dfacd..7cc5a68 100644
--- a/core/features/org.eclipse.dltk.core.sdk/feature.xml
+++ b/core/features/org.eclipse.dltk.core.sdk/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.core.sdk"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
@@ -15,7 +15,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.dltk.core" version="4.0.0" match="greaterOrEqual"/>
+      <import feature="org.eclipse.dltk.core" version="5.0.0" match="greaterOrEqual"/>
    </requires>
 
    <plugin
diff --git a/core/features/org.eclipse.dltk.core.sdk/pom.xml b/core/features/org.eclipse.dltk.core.sdk/pom.xml
index d573624..0a89f5f 100644
--- a/core/features/org.eclipse.dltk.core.sdk/pom.xml
+++ b/core/features/org.eclipse.dltk.core.sdk/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.sdk</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/core/features/org.eclipse.dltk.core.tests/feature.xml b/core/features/org.eclipse.dltk.core.tests/feature.xml
index 78e9498..5721f52 100644
--- a/core/features/org.eclipse.dltk.core.tests/feature.xml
+++ b/core/features/org.eclipse.dltk.core.tests/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.core.tests"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%featureProvider">
 
    <description>
@@ -18,7 +18,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.dltk.core" version="4.0.0" match="compatible"/>
+      <import feature="org.eclipse.dltk.core" version="5.0.0" match="compatible"/>
    </requires>
 
    <plugin
diff --git a/core/features/org.eclipse.dltk.core.tests/pom.xml b/core/features/org.eclipse.dltk.core.tests/pom.xml
index 8e89a9b..85d9445 100644
--- a/core/features/org.eclipse.dltk.core.tests/pom.xml
+++ b/core/features/org.eclipse.dltk.core.tests/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.features</groupId>
   <artifactId>org.eclipse.dltk.core.tests</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.annotations/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.annotations/META-INF/MANIFEST.MF
index 1edf763..a440c12 100644
--- a/core/plugins/org.eclipse.dltk.annotations/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.annotations/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.annotations
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Require-Bundle: org.eclipse.core.runtime
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/core/plugins/org.eclipse.dltk.annotations/pom.xml b/core/plugins/org.eclipse.dltk.annotations/pom.xml
index b5e142a..6f30f16 100644
--- a/core/plugins/org.eclipse.dltk.annotations/pom.xml
+++ b/core/plugins/org.eclipse.dltk.annotations/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.annotations</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.console.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.console.ui/META-INF/MANIFEST.MF
index 70fef72..28f922b 100644
--- a/core/plugins/org.eclipse.dltk.console.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.console.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.console.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.console.ui.ScriptConsoleUIPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -11,12 +11,12 @@
  org.eclipse.ui,
  org.eclipse.ui.console,
  org.eclipse.debug.core,
- org.eclipse.dltk.console;bundle-version="4.0.0",
- org.eclipse.dltk.launching;bundle-version="4.0.0",
+ org.eclipse.dltk.console;bundle-version="0.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
  org.eclipse.ui.workbench.texteditor,
  org.eclipse.core.expressions,
  org.eclipse.debug.ui,
- org.eclipse.dltk.core;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0"
 Export-Package: org.eclipse.dltk.console.ui,
  org.eclipse.dltk.console.ui.internal
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/core/plugins/org.eclipse.dltk.console.ui/pom.xml b/core/plugins/org.eclipse.dltk.console.ui/pom.xml
index d860555..15ef21d 100644
--- a/core/plugins/org.eclipse.dltk.console.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.console.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.console.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.console/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.console/META-INF/MANIFEST.MF
index 5350243..f95770e 100644
--- a/core/plugins/org.eclipse.dltk.console/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.console/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.console;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.console.ScriptConsolePlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.dltk.core;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0"
 Bundle-ActivationPolicy: lazy
 Export-Package: org.eclipse.dltk.console
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/core/plugins/org.eclipse.dltk.console/pom.xml b/core/plugins/org.eclipse.dltk.console/pom.xml
index 1d82822..3b6e023 100644
--- a/core/plugins/org.eclipse.dltk.console/pom.xml
+++ b/core/plugins/org.eclipse.dltk.console/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.console</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.core.doc.isv/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.doc.isv/META-INF/MANIFEST.MF
index 52c11ac..910398b 100644
--- a/core/plugins/org.eclipse.dltk.core.doc.isv/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.doc.isv/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core.doc.isv;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime
diff --git a/core/plugins/org.eclipse.dltk.core.doc.isv/pom.xml b/core/plugins/org.eclipse.dltk.core.doc.isv/pom.xml
index 1c44b3f..88465b4 100644
--- a/core/plugins/org.eclipse.dltk.core.doc.isv/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.doc.isv/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.core.doc.isv</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/plugins/org.eclipse.dltk.core.index.sql.h2/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.index.sql.h2/META-INF/MANIFEST.MF
index ea49bb2..12336c0 100644
--- a/core/plugins/org.eclipse.dltk.core.index.sql.h2/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.index.sql.h2/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: DLTK H2-based Indexer
 Bundle-SymbolicName: org.eclipse.dltk.core.index.sql.h2;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.index.sql.h2.H2Index
 Bundle-Vendor: Eclipse.org
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.core.resources,
  org.h2,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.core.index.sql;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.core.index.sql;bundle-version="0.0.0"
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ActivationPolicy: lazy
 Export-Package: org.eclipse.dltk.core.index.sql.h2,
diff --git a/core/plugins/org.eclipse.dltk.core.index.sql.h2/pom.xml b/core/plugins/org.eclipse.dltk.core.index.sql.h2/pom.xml
index 85804fd..ee0da1a 100644
--- a/core/plugins/org.eclipse.dltk.core.index.sql.h2/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.index.sql.h2/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.index.sql.h2</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.core.index.sql/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.index.sql/META-INF/MANIFEST.MF
index e3cdc18..6f75ed3 100644
--- a/core/plugins/org.eclipse.dltk.core.index.sql/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.index.sql/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: DLTK Abstract SQL-based Indexer
 Bundle-SymbolicName: org.eclipse.dltk.core.index.sql;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.index.sql.SqlIndex
 Bundle-Vendor: Eclipse.org
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.core.resources,
- org.eclipse.dltk.core;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0"
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ActivationPolicy: lazy
 Export-Package: 
diff --git a/core/plugins/org.eclipse.dltk.core.index.sql/pom.xml b/core/plugins/org.eclipse.dltk.core.index.sql/pom.xml
index bb762e6..f510513 100644
--- a/core/plugins/org.eclipse.dltk.core.index.sql/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.index.sql/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.index.sql</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.core.index/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.index/META-INF/MANIFEST.MF
index 20439bd..9c9a99b 100644
--- a/core/plugins/org.eclipse.dltk.core.index/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.index/META-INF/MANIFEST.MF
@@ -2,6 +2,6 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core.index
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
diff --git a/core/plugins/org.eclipse.dltk.core.index/pom.xml b/core/plugins/org.eclipse.dltk.core.index/pom.xml
index 42c2815..05288e2 100644
--- a/core/plugins/org.eclipse.dltk.core.index/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.index/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.core.index</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/plugins/org.eclipse.dltk.core.manipulation/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.manipulation/META-INF/MANIFEST.MF
index c86c0ca..a77574c 100644
--- a/core/plugins/org.eclipse.dltk.core.manipulation/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.manipulation/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Localization: plugin
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core.manipulation;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.internal.core.manipulation.ScriptManipulationPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/core/plugins/org.eclipse.dltk.core.manipulation/pom.xml b/core/plugins/org.eclipse.dltk.core.manipulation/pom.xml
index 85e174e..49f2458 100644
--- a/core/plugins/org.eclipse.dltk.core.manipulation/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.manipulation/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.manipulation</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.core.tools.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core.tools.ui/META-INF/MANIFEST.MF
index 2f5cbe7..e676bdb 100644
--- a/core/plugins/org.eclipse.dltk.core.tools.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core.tools.ui/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core.tools.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.tools.ui.DLTKToolsUI
 Bundle-Vendor: %providerName
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.dltk.ui
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-ActivationPolicy: lazy
diff --git a/core/plugins/org.eclipse.dltk.core.tools.ui/pom.xml b/core/plugins/org.eclipse.dltk.core.tools.ui/pom.xml
index 0ed1c08..b172023 100644
--- a/core/plugins/org.eclipse.dltk.core.tools.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core.tools.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core.tools.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.core/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.core/META-INF/MANIFEST.MF
index 4cf3ac6..bf7020a 100644
--- a/core/plugins/org.eclipse.dltk.core/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.DLTKCore
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
diff --git a/core/plugins/org.eclipse.dltk.core/pom.xml b/core/plugins/org.eclipse.dltk.core/pom.xml
index cccd455..d9b1cc9 100644
--- a/core/plugins/org.eclipse.dltk.core/pom.xml
+++ b/core/plugins/org.eclipse.dltk.core/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.core</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.debug.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.debug.ui/META-INF/MANIFEST.MF
index 551a351..c36aac6 100644
--- a/core/plugins/org.eclipse.dltk.debug.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.debug.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.debug.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.debug.ui.DLTKDebugUIPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -11,16 +11,16 @@
  org.eclipse.debug.ui,
  org.eclipse.ui.ide,
  org.eclipse.core.variables,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0",
- org.eclipse.dltk.debug;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0",
+ org.eclipse.dltk.debug;bundle-version="0.0.0",
  org.eclipse.ui.workbench.texteditor,
  org.eclipse.ui.editors,
  org.eclipse.jface.text,
  org.eclipse.ui.console,
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.console;bundle-version="4.0.0",
- org.eclipse.dltk.console.ui;bundle-version="4.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.console;bundle-version="0.0.0",
+ org.eclipse.dltk.console.ui;bundle-version="0.0.0",
  org.eclipse.core.expressions,
  org.eclipse.ui.forms
 Export-Package: org.eclipse.dltk.debug.ui,
diff --git a/core/plugins/org.eclipse.dltk.debug.ui/pom.xml b/core/plugins/org.eclipse.dltk.debug.ui/pom.xml
index 8e25960..61cf56e 100644
--- a/core/plugins/org.eclipse.dltk.debug.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.debug.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.debug.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.debug/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.debug/META-INF/MANIFEST.MF
index 0fed8b8..d2ccbd0 100644
--- a/core/plugins/org.eclipse.dltk.debug/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.debug/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.debug; singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.debug.core.DLTKDebugPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.debug.core,
- org.eclipse.dltk.core;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0"
 Export-Package: org.eclipse.dltk.dbgp,
  org.eclipse.dltk.dbgp.breakpoints,
  org.eclipse.dltk.dbgp.commands,
diff --git a/core/plugins/org.eclipse.dltk.debug/pom.xml b/core/plugins/org.eclipse.dltk.debug/pom.xml
index 7b8f461..8bab9e5 100644
--- a/core/plugins/org.eclipse.dltk.debug/pom.xml
+++ b/core/plugins/org.eclipse.dltk.debug/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.debug</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.formatter/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.formatter/META-INF/MANIFEST.MF
index e41a8da..6b36773 100644
--- a/core/plugins/org.eclipse.dltk.formatter/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.formatter/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.formatter;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -11,7 +11,7 @@
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.text,
  org.eclipse.ui.workbench,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0"
 Bundle-Activator: org.eclipse.dltk.formatter.DLTKFormatterPlugin
 Bundle-ActivationPolicy: lazy
diff --git a/core/plugins/org.eclipse.dltk.formatter/pom.xml b/core/plugins/org.eclipse.dltk.formatter/pom.xml
index 0506373..af8088f 100644
--- a/core/plugins/org.eclipse.dltk.formatter/pom.xml
+++ b/core/plugins/org.eclipse.dltk.formatter/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.formatter</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.launching/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.launching/META-INF/MANIFEST.MF
index 91eb9b8..f52f0e6 100644
--- a/core/plugins/org.eclipse.dltk.launching/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.launching/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.launching;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.internal.launching.DLTKLaunchingPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.debug.core,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.core.variables,
  com.ibm.icu,
  org.eclipse.core.expressions,
diff --git a/core/plugins/org.eclipse.dltk.launching/pom.xml b/core/plugins/org.eclipse.dltk.launching/pom.xml
index 69a31e0..4b3b7fc 100644
--- a/core/plugins/org.eclipse.dltk.launching/pom.xml
+++ b/core/plugins/org.eclipse.dltk.launching/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.launching</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.logconsole.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.logconsole.ui/META-INF/MANIFEST.MF
index 574bf7e..1359605 100644
--- a/core/plugins/org.eclipse.dltk.logconsole.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.logconsole.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.logconsole.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/core/plugins/org.eclipse.dltk.logconsole.ui/pom.xml b/core/plugins/org.eclipse.dltk.logconsole.ui/pom.xml
index 4ba1447..1318bc9 100644
--- a/core/plugins/org.eclipse.dltk.logconsole.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.logconsole.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.logconsole.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.logconsole/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.logconsole/META-INF/MANIFEST.MF
index 192fbfd..af32653 100644
--- a/core/plugins/org.eclipse.dltk.logconsole/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.logconsole/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.logconsole;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Activator: org.eclipse.dltk.logconsole.LogConsolePlugin
 Bundle-Vendor: %pluginProvider
diff --git a/core/plugins/org.eclipse.dltk.logconsole/pom.xml b/core/plugins/org.eclipse.dltk.logconsole/pom.xml
index c16696b..96b6939 100644
--- a/core/plugins/org.eclipse.dltk.logconsole/pom.xml
+++ b/core/plugins/org.eclipse.dltk.logconsole/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.logconsole</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.testing/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.testing/META-INF/MANIFEST.MF
index eff46b5..e9b6a98 100755
--- a/core/plugins/org.eclipse.dltk.testing/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.testing/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.testing;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.testing.DLTKTestingPlugin
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
@@ -19,12 +19,12 @@
  org.eclipse.ui.ide,
  org.eclipse.ui.console,
  org.eclipse.ui.editors,
- org.eclipse.dltk.annotations;bundle-version="4.0.0",
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.debug;bundle-version="4.0.0",
- org.eclipse.dltk.debug.ui;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0"
+ org.eclipse.dltk.annotations;bundle-version="0.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.debug;bundle-version="0.0.0",
+ org.eclipse.dltk.debug.ui;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0"
 Export-Package: org.eclipse.dltk.internal.testing;x-internal:=true,
  org.eclipse.dltk.internal.testing.buildpath;x-internal:=true,
  org.eclipse.dltk.internal.testing.launcher;x-internal:=true,
diff --git a/core/plugins/org.eclipse.dltk.testing/pom.xml b/core/plugins/org.eclipse.dltk.testing/pom.xml
index c54b6c5..fcd20be 100644
--- a/core/plugins/org.eclipse.dltk.testing/pom.xml
+++ b/core/plugins/org.eclipse.dltk.testing/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.testing</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.ui/META-INF/MANIFEST.MF
index 188921b..5889620 100644
--- a/core/plugins/org.eclipse.dltk.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.ui.DLTKUIPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -24,9 +24,9 @@
  org.eclipse.search,
  org.eclipse.compare,
  org.eclipse.core.expressions,
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.core.manipulation;bundle-version="4.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.core.manipulation;bundle-version="0.0.0",
  com.ibm.icu
 Export-Package: org.eclipse.dltk.corext,
  org.eclipse.dltk.corext.documentation,
diff --git a/core/plugins/org.eclipse.dltk.ui/pom.xml b/core/plugins/org.eclipse.dltk.ui/pom.xml
index 1dc5e29..2b4cc99 100644
--- a/core/plugins/org.eclipse.dltk.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.validators.core/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.validators.core/META-INF/MANIFEST.MF
index 94ac336..29a260e 100644
--- a/core/plugins/org.eclipse.dltk.validators.core/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.validators.core/META-INF/MANIFEST.MF
@@ -2,10 +2,10 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.validators.core;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.validators.internal.core.ValidatorsCore
 Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.debug.core,
  org.eclipse.emf.ecore
 Export-Package: org.eclipse.dltk.validators.configs,
diff --git a/core/plugins/org.eclipse.dltk.validators.core/pom.xml b/core/plugins/org.eclipse.dltk.validators.core/pom.xml
index 4bc8cf8..0ab2927 100644
--- a/core/plugins/org.eclipse.dltk.validators.core/pom.xml
+++ b/core/plugins/org.eclipse.dltk.validators.core/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.validators.core</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.validators.externalchecker/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.validators.externalchecker/META-INF/MANIFEST.MF
index 155717d..96b5874 100644
--- a/core/plugins/org.eclipse.dltk.validators.externalchecker/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.validators.externalchecker/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.validators.externalchecker;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.validators.internal.externalchecker.core.ExternalCheckerPlugin
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui,
@@ -12,8 +12,8 @@
  org.eclipse.ui.console,
  org.eclipse.ui.editors,
  org.eclipse.ui.ide,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.launching;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
  org.eclipse.dltk.ui,
  org.eclipse.dltk.validators.core,
  org.eclipse.dltk.validators.ui
diff --git a/core/plugins/org.eclipse.dltk.validators.externalchecker/pom.xml b/core/plugins/org.eclipse.dltk.validators.externalchecker/pom.xml
index 2783938..8d812ba 100644
--- a/core/plugins/org.eclipse.dltk.validators.externalchecker/pom.xml
+++ b/core/plugins/org.eclipse.dltk.validators.externalchecker/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.validators.externalchecker</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk.validators.ui/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk.validators.ui/META-INF/MANIFEST.MF
index b7a7040..80be591 100644
--- a/core/plugins/org.eclipse.dltk.validators.ui/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk.validators.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.validators.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.validators.internal.ui.ValidatorsUI
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.core.resources,
@@ -11,8 +11,8 @@
  org.eclipse.ui.console,
  org.eclipse.ui.ide,
  org.eclipse.ui.workbench.texteditor,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0",
  org.eclipse.dltk.validators.core
 Export-Package: org.eclipse.dltk.validators.internal.ui;x-internal:=true,
  org.eclipse.dltk.validators.ui
diff --git a/core/plugins/org.eclipse.dltk.validators.ui/pom.xml b/core/plugins/org.eclipse.dltk.validators.ui/pom.xml
index 5896945..494f3eb 100644
--- a/core/plugins/org.eclipse.dltk.validators.ui/pom.xml
+++ b/core/plugins/org.eclipse.dltk.validators.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.core</groupId>
   <artifactId>org.eclipse.dltk.validators.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/core/plugins/org.eclipse.dltk/META-INF/MANIFEST.MF b/core/plugins/org.eclipse.dltk/META-INF/MANIFEST.MF
index e43ab8d..744c525 100644
--- a/core/plugins/org.eclipse.dltk/META-INF/MANIFEST.MF
+++ b/core/plugins/org.eclipse.dltk/META-INF/MANIFEST.MF
@@ -2,6 +2,6 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
diff --git a/core/plugins/org.eclipse.dltk/pom.xml b/core/plugins/org.eclipse.dltk/pom.xml
index 0eea862..b23af1c 100644
--- a/core/plugins/org.eclipse.dltk/pom.xml
+++ b/core/plugins/org.eclipse.dltk/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.core.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.core.tests/META-INF/MANIFEST.MF
index 0a433cc..7d5da49 100644
--- a/core/tests/org.eclipse.dltk.core.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.core.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.core.tests;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.tests.model.ModelTestsPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -10,10 +10,10 @@
  org.eclipse.core.runtime,
  org.eclipse.core.resources,
  org.eclipse.team.core,
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.debug.core,
- org.eclipse.dltk.debug;bundle-version="4.0.0"
+ org.eclipse.dltk.debug;bundle-version="0.0.0"
 Export-Package: org.eclipse.dltk.core.tests,
  org.eclipse.dltk.core.tests.buildpath,
  org.eclipse.dltk.core.tests.compiler,
diff --git a/core/tests/org.eclipse.dltk.core.tests/pom.xml b/core/tests/org.eclipse.dltk.core.tests/pom.xml
index 405bc43..e0cf2e1 100644
--- a/core/tests/org.eclipse.dltk.core.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.core.tests/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.core.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.debug.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.debug.tests/META-INF/MANIFEST.MF
index 7d49365..a30a03b 100644
--- a/core/tests/org.eclipse.dltk.debug.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.debug.tests/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.debug.tests
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.debug.tests.Activator
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.dltk.debug,
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.junit,
  org.eclipse.debug.core,
  org.eclipse.dltk.core.tests
diff --git a/core/tests/org.eclipse.dltk.debug.tests/pom.xml b/core/tests/org.eclipse.dltk.debug.tests/pom.xml
index a8dd4ec..9149631 100644
--- a/core/tests/org.eclipse.dltk.debug.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.debug.tests/pom.xml
@@ -10,7 +10,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.debug.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.debug.ui.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.debug.ui.tests/META-INF/MANIFEST.MF
index 8d84d91..31ed3d9 100644
--- a/core/tests/org.eclipse.dltk.debug.ui.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.debug.ui.tests/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.debug.ui.tests;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.debug.ui.tests.DLTKDebugUITestsPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.dltk.core.tests,
  org.junit,
  org.eclipse.dltk.debug.ui,
diff --git a/core/tests/org.eclipse.dltk.debug.ui.tests/pom.xml b/core/tests/org.eclipse.dltk.debug.ui.tests/pom.xml
index 123c945..ea22a55 100644
--- a/core/tests/org.eclipse.dltk.debug.ui.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.debug.ui.tests/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.debug.ui.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.formatter.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.formatter.tests/META-INF/MANIFEST.MF
index 66ffbb0..9f5654c 100644
--- a/core/tests/org.eclipse.dltk.formatter.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.formatter.tests/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.formatter.tests
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Require-Bundle: org.junit,
  org.eclipse.core.runtime,
  org.eclipse.text,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.dltk.ui,
  org.eclipse.dltk.formatter
 Export-Package: org.eclipse.dltk.formatter.tests
diff --git a/core/tests/org.eclipse.dltk.formatter.tests/pom.xml b/core/tests/org.eclipse.dltk.formatter.tests/pom.xml
index 07238a6..3003773 100644
--- a/core/tests/org.eclipse.dltk.formatter.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.formatter.tests/pom.xml
@@ -10,7 +10,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.formatter.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.ui.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.ui.tests/META-INF/MANIFEST.MF
index a2831ae..d3bde31 100644
--- a/core/tests/org.eclipse.dltk.ui.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.ui.tests/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.ui.tests;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.ui.tests.DLTKUITestsPlugin
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
@@ -11,7 +11,7 @@
  org.eclipse.ui.navigator,
  org.eclipse.ui.navigator.resources,
  org.eclipse.core.resources,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.dltk.ui,
  org.junit,
  org.eclipse.ui.ide,
diff --git a/core/tests/org.eclipse.dltk.ui.tests/pom.xml b/core/tests/org.eclipse.dltk.ui.tests/pom.xml
index ca5185a..cdbf8d7 100644
--- a/core/tests/org.eclipse.dltk.ui.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.ui.tests/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.ui.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/tests/org.eclipse.dltk.validators.core.tests/META-INF/MANIFEST.MF b/core/tests/org.eclipse.dltk.validators.core.tests/META-INF/MANIFEST.MF
index 5235444..fb8cafe 100644
--- a/core/tests/org.eclipse.dltk.validators.core.tests/META-INF/MANIFEST.MF
+++ b/core/tests/org.eclipse.dltk.validators.core.tests/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.validators.core.tests;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.validators.core.tests.Activator
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.dltk.validators.core,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  org.eclipse.core.resources,
  org.junit
 Bundle-ActivationPolicy: lazy
diff --git a/core/tests/org.eclipse.dltk.validators.core.tests/pom.xml b/core/tests/org.eclipse.dltk.validators.core.tests/pom.xml
index 2c79f16..f673c7a 100644
--- a/core/tests/org.eclipse.dltk.validators.core.tests/pom.xml
+++ b/core/tests/org.eclipse.dltk.validators.core.tests/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.core</groupId>
 	<artifactId>org.eclipse.dltk.validators.core.tests</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-test-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/core/update.site/site.xml b/core/update.site/site.xml
index a086ade..6780991 100644
--- a/core/update.site/site.xml
+++ b/core/update.site/site.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <site>
-   <feature url="features/org.eclipse.dltk.core_4.0.0.qualifier.jar" id="org.eclipse.dltk.core" version="4.0.0.qualifier"/>
-   <feature url="features/org.eclipse.dltk.core.sdk_4.0.0.qualifier.jar" id="org.eclipse.dltk.core.sdk" version="4.0.0.qualifier"/>
-   <feature url="features/org.eclipse.dltk.core.index_4.0.0.qualifier.jar" id="org.eclipse.dltk.core.index" version="4.0.0.qualifier"/>
-   <feature url="features/org.eclipse.dltk.core.index.sdk_4.0.0.qualifier.jar" id="org.eclipse.dltk.core.index.sdk" version="4.0.0.qualifier"/>
+   <feature url="features/org.eclipse.dltk.core_5.0.0.qualifier.jar" id="org.eclipse.dltk.core" version="5.0.0.qualifier"/>
+   <feature url="features/org.eclipse.dltk.core.sdk_5.0.0.qualifier.jar" id="org.eclipse.dltk.core.sdk" version="5.0.0.qualifier"/>
+   <feature url="features/org.eclipse.dltk.core.index_5.0.0.qualifier.jar" id="org.eclipse.dltk.core.index" version="5.0.0.qualifier"/>
+   <feature url="features/org.eclipse.dltk.core.index.sdk_5.0.0.qualifier.jar" id="org.eclipse.dltk.core.index.sdk" version="5.0.0.qualifier"/>
 </site>
diff --git a/mylyn/features/org.eclipse.dltk.mylyn-feature/feature.xml b/mylyn/features/org.eclipse.dltk.mylyn-feature/feature.xml
index bcc3679..06bb6c5 100644
--- a/mylyn/features/org.eclipse.dltk.mylyn-feature/feature.xml
+++ b/mylyn/features/org.eclipse.dltk.mylyn-feature/feature.xml
@@ -16,7 +16,7 @@
 <feature
       id="org.eclipse.dltk.mylyn"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
@@ -37,7 +37,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.dltk.core" version="4.0.0" match="compatible"/>
+      <import feature="org.eclipse.dltk.core" version="5.0.0" match="compatible"/>
       <import feature="org.eclipse.mylyn.context_feature" version="3.0.0" match="greaterOrEqual"/>
       <import feature="org.eclipse.mylyn_feature" version="3.0.0" match="greaterOrEqual"/>
    </requires>
diff --git a/mylyn/features/org.eclipse.dltk.mylyn-feature/pom.xml b/mylyn/features/org.eclipse.dltk.mylyn-feature/pom.xml
index c046849..ed0e5cc 100644
--- a/mylyn/features/org.eclipse.dltk.mylyn-feature/pom.xml
+++ b/mylyn/features/org.eclipse.dltk.mylyn-feature/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.features</groupId>
   <artifactId>org.eclipse.dltk.mylyn</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/mylyn/features/org.eclipse.dltk.mylyn.sdk/feature.xml b/mylyn/features/org.eclipse.dltk.mylyn.sdk/feature.xml
index 813ef2e..72c0a45 100644
--- a/mylyn/features/org.eclipse.dltk.mylyn.sdk/feature.xml
+++ b/mylyn/features/org.eclipse.dltk.mylyn.sdk/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.mylyn.sdk"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
diff --git a/mylyn/features/org.eclipse.dltk.mylyn.sdk/pom.xml b/mylyn/features/org.eclipse.dltk.mylyn.sdk/pom.xml
index 55e9539..3a2489a 100644
--- a/mylyn/features/org.eclipse.dltk.mylyn.sdk/pom.xml
+++ b/mylyn/features/org.eclipse.dltk.mylyn.sdk/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.mylyn</groupId>
   <artifactId>org.eclipse.dltk.mylyn.sdk</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/mylyn/plugins/org.eclipse.dltk.mylyn/META-INF/MANIFEST.MF b/mylyn/plugins/org.eclipse.dltk.mylyn/META-INF/MANIFEST.MF
index 405a17b..5f5bd32 100644
--- a/mylyn/plugins/org.eclipse.dltk.mylyn/META-INF/MANIFEST.MF
+++ b/mylyn/plugins/org.eclipse.dltk.mylyn/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.eclipse.dltk.mylyn;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.internal.mylyn.DLTKUiBridgePlugin
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
@@ -24,11 +24,11 @@
  org.eclipse.mylyn.monitor.core;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.mylyn.tasks.ui;bundle-version="[3.0.0,4.0.0)",
  org.eclipse.mylyn.ide.ui;bundle-version="[3.0.0,4.0.0)",
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0",
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.debug;bundle-version="4.0.0",
- org.eclipse.dltk.debug.ui;bundle-version="4.0.0"
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.debug;bundle-version="0.0.0",
+ org.eclipse.dltk.debug.ui;bundle-version="0.0.0"
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: %Bundle-Vendor
 Export-Package: org.eclipse.dltk.internal.mylyn,
diff --git a/mylyn/plugins/org.eclipse.dltk.mylyn/pom.xml b/mylyn/plugins/org.eclipse.dltk.mylyn/pom.xml
index 6e38b1a..d181422 100644
--- a/mylyn/plugins/org.eclipse.dltk.mylyn/pom.xml
+++ b/mylyn/plugins/org.eclipse.dltk.mylyn/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.mylyn</groupId>
   <artifactId>org.eclipse.dltk.mylyn</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/rse/features/org.eclipse.dltk.rse-feature/feature.xml b/rse/features/org.eclipse.dltk.rse-feature/feature.xml
index caa2d9c..d3e3760 100644
--- a/rse/features/org.eclipse.dltk.rse-feature/feature.xml
+++ b/rse/features/org.eclipse.dltk.rse-feature/feature.xml
@@ -16,7 +16,7 @@
 <feature
       id="org.eclipse.dltk.rse"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
@@ -37,7 +37,7 @@
    </license>
 
    <requires>
-      <import feature="org.eclipse.dltk.core" version="4.0.0" match="compatible"/>
+      <import feature="org.eclipse.dltk.core" version="5.0.0" match="compatible"/>
       <import feature="org.eclipse.rse.core" version="3.0.0" match="compatible"/>
    </requires>
 
diff --git a/rse/features/org.eclipse.dltk.rse-feature/pom.xml b/rse/features/org.eclipse.dltk.rse-feature/pom.xml
index d4a5c7f..12abef8 100644
--- a/rse/features/org.eclipse.dltk.rse-feature/pom.xml
+++ b/rse/features/org.eclipse.dltk.rse-feature/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.features</groupId>
   <artifactId>org.eclipse.dltk.rse</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/rse/features/org.eclipse.dltk.rse.sdk/feature.xml b/rse/features/org.eclipse.dltk.rse.sdk/feature.xml
index d82e9c4..3298644 100644
--- a/rse/features/org.eclipse.dltk.rse.sdk/feature.xml
+++ b/rse/features/org.eclipse.dltk.rse.sdk/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.dltk.rse.sdk"
       label="%featureName"
-      version="4.0.0.qualifier"
+      version="5.0.0.qualifier"
       provider-name="%providerName"
       image="eclipse_update_120.jpg">
 
diff --git a/rse/features/org.eclipse.dltk.rse.sdk/pom.xml b/rse/features/org.eclipse.dltk.rse.sdk/pom.xml
index c137f53..27e8eb2 100644
--- a/rse/features/org.eclipse.dltk.rse.sdk/pom.xml
+++ b/rse/features/org.eclipse.dltk.rse.sdk/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.rse</groupId>
   <artifactId>org.eclipse.dltk.rse.sdk</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-feature</packaging>
 </project>
diff --git a/rse/plugins/org.eclipse.dltk.rse.core/META-INF/MANIFEST.MF b/rse/plugins/org.eclipse.dltk.rse.core/META-INF/MANIFEST.MF
index e518fc5..2be8764 100644
--- a/rse/plugins/org.eclipse.dltk.rse.core/META-INF/MANIFEST.MF
+++ b/rse/plugins/org.eclipse.dltk.rse.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.rse.core;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.core.internal.rse.DLTKRSEPlugin
 Bundle-Vendor: %pluginProvider
 Bundle-Localization: plugin
@@ -10,9 +10,9 @@
  org.eclipse.core.filesystem,
  org.eclipse.core.resources,
  com.jcraft.jsch,
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.launching;bundle-version="4.0.0",
- org.eclipse.dltk.ssh.core;bundle-version="1.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.launching;bundle-version="0.0.0",
+ org.eclipse.dltk.ssh.core;bundle-version="0.0.0",
  org.eclipse.rse.core,
  org.eclipse.rse.subsystems.files.core,
  org.eclipse.rse.subsystems.shells.core,
diff --git a/rse/plugins/org.eclipse.dltk.rse.core/pom.xml b/rse/plugins/org.eclipse.dltk.rse.core/pom.xml
index 261ac02..76fc13c 100644
--- a/rse/plugins/org.eclipse.dltk.rse.core/pom.xml
+++ b/rse/plugins/org.eclipse.dltk.rse.core/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.rse</groupId>
   <artifactId>org.eclipse.dltk.rse.core</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/rse/plugins/org.eclipse.dltk.rse.ui/META-INF/MANIFEST.MF b/rse/plugins/org.eclipse.dltk.rse.ui/META-INF/MANIFEST.MF
index 6a6f70a..2e450bb 100644
--- a/rse/plugins/org.eclipse.dltk.rse.ui/META-INF/MANIFEST.MF
+++ b/rse/plugins/org.eclipse.dltk.rse.ui/META-INF/MANIFEST.MF
@@ -2,15 +2,15 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.rse.ui;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.internal.ui.rse.DLTKRSEUI
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
- org.eclipse.dltk.rse.core;bundle-version="4.0.0",
- org.eclipse.dltk.core;bundle-version="4.0.0",
- org.eclipse.dltk.ui;bundle-version="4.0.0",
+ org.eclipse.dltk.rse.core;bundle-version="0.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
+ org.eclipse.dltk.ui;bundle-version="0.0.0",
  org.eclipse.rse.ui,
  org.eclipse.rse.core,
  org.eclipse.rse.services,
diff --git a/rse/plugins/org.eclipse.dltk.rse.ui/pom.xml b/rse/plugins/org.eclipse.dltk.rse.ui/pom.xml
index 284adb2..3639679 100644
--- a/rse/plugins/org.eclipse.dltk.rse.ui/pom.xml
+++ b/rse/plugins/org.eclipse.dltk.rse.ui/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.rse</groupId>
   <artifactId>org.eclipse.dltk.rse.ui</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>
diff --git a/rse/plugins/org.eclipse.dltk.rse/META-INF/MANIFEST.MF b/rse/plugins/org.eclipse.dltk.rse/META-INF/MANIFEST.MF
index 80558f8..6c21515 100644
--- a/rse/plugins/org.eclipse.dltk.rse/META-INF/MANIFEST.MF
+++ b/rse/plugins/org.eclipse.dltk.rse/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.rse
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Vendor: %providerName
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: J2SE-1.4
diff --git a/rse/plugins/org.eclipse.dltk.rse/pom.xml b/rse/plugins/org.eclipse.dltk.rse/pom.xml
index 66e2227..4479b78 100644
--- a/rse/plugins/org.eclipse.dltk.rse/pom.xml
+++ b/rse/plugins/org.eclipse.dltk.rse/pom.xml
@@ -11,7 +11,7 @@
 	</parent>
 	<groupId>org.eclipse.dltk.rse</groupId>
 	<artifactId>org.eclipse.dltk.rse</artifactId>
-	<version>4.0.0-SNAPSHOT</version>
+	<version>5.0.0-SNAPSHOT</version>
 	<packaging>eclipse-plugin</packaging>
 	<build>
 		<plugins>
diff --git a/rse/plugins/org.eclipse.dltk.ssh.core/META-INF/MANIFEST.MF b/rse/plugins/org.eclipse.dltk.ssh.core/META-INF/MANIFEST.MF
index da00bc8..af0adca 100644
--- a/rse/plugins/org.eclipse.dltk.ssh.core/META-INF/MANIFEST.MF
+++ b/rse/plugins/org.eclipse.dltk.ssh.core/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %pluginName
 Bundle-SymbolicName: org.eclipse.dltk.ssh.core;singleton:=true
-Bundle-Version: 4.0.0.qualifier
+Bundle-Version: 5.0.0.qualifier
 Bundle-Activator: org.eclipse.dltk.ssh.internal.core.Activator
 Bundle-Vendor: %providerName
 Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.dltk.core;bundle-version="4.0.0",
+ org.eclipse.dltk.core;bundle-version="0.0.0",
  com.jcraft.jsch,
  org.eclipse.jsch.core
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/rse/plugins/org.eclipse.dltk.ssh.core/pom.xml b/rse/plugins/org.eclipse.dltk.ssh.core/pom.xml
index c846adc..93ccf19 100644
--- a/rse/plugins/org.eclipse.dltk.ssh.core/pom.xml
+++ b/rse/plugins/org.eclipse.dltk.ssh.core/pom.xml
@@ -10,6 +10,6 @@
   </parent>
   <groupId>org.eclipse.dltk.rse</groupId>
   <artifactId>org.eclipse.dltk.ssh.core</artifactId>
-  <version>4.0.0-SNAPSHOT</version>
+  <version>5.0.0-SNAPSHOT</version>
   <packaging>eclipse-plugin</packaging>
 </project>